Package tigase.component

## Class DSLBeanConfiguratorWithBackwardCompatibility

- java.lang.Object
- - tigase.kernel.beans.config.AbstractBeanConfigurator
  - - tigase.component.DSLBeanConfigurator
    - - tigase.component.DSLBeanConfiguratorWithBackwardCompatibility

- All Implemented Interfaces:
    `BeanConfigurator`

      public class DSLBeanConfiguratorWithBackwardCompatibility
      extends DSLBeanConfigurator

  Created by andrzej on 12.08.2016.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.kernel.beans.config.AbstractBeanConfigurator

      `AbstractBeanConfigurator.BeanDefinition`

  - ### Field Summary

    - ### Fields inherited from class tigase.kernel.beans.config.AbstractBeanConfigurator

      `defaultTypesConverter, kernel`

    - ### Fields inherited from interface tigase.kernel.beans.config.BeanConfigurator

      `DEFAULT_CONFIGURATOR_NAME`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLBeanConfiguratorWithBackwardCompatibility()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `configure​(BeanConfig beanConfig, java.lang.Object bean, java.util.Map<java.lang.String,​java.lang.Object> values)` | Method configures passed bean with provided values.
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getBeanConfigurationProperties​(BeanConfig beanConfig)` |

    - ### Methods inherited from class tigase.component.DSLBeanConfigurator

      `dumpConfiguration, dumpConfiguration, getBeanConfigurationProperties, getBeanDefinitions, getConfigHolder, getConfiguration, getFieldAliasses, getProperties, hasDirectConfiguration, setConfigHolder, setProperties`

    - ### Methods inherited from class tigase.kernel.beans.config.AbstractBeanConfigurator

      `configurationChanged, configure, getBeanClassesFromAnnotations, getBeanConfigPath, getDefaultTypesConverter, getKernel, grabCurrentConfig, grabDefaultConfig, isAccessToAllFields, isBeanClassRegisteredInParentKernel, mergeWithBeansPropertyValue, refreshConfiguration, refreshConfiguration_removeUndefinedBeans, refreshConfiguration_updateConfiguration, registerBeans, registerBeansForBeanOfClass, registerBeansForBeanOfClass, registerBeansForBeanOfClassGetBeansToRegister, registerBeansForBeanOfClassShouldRegister, restoreDefaults, setAccessToAllFields, setDefaultTypesConverter, setKernel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSLBeanConfiguratorWithBackwardCompatibility

          public DSLBeanConfiguratorWithBackwardCompatibility()

  - ### Method Detail

    - #### configure

          public void configure​(BeanConfig beanConfig,
                                java.lang.Object bean,
                                java.util.Map<java.lang.String,​java.lang.Object> values)

      Description copied from class: `AbstractBeanConfigurator`
      Method configures passed bean with provided values.
      Overrides:
        `configure` in class `AbstractBeanConfigurator`

    - #### getBeanConfigurationProperties

          public java.util.Map<java.lang.String,​java.lang.Object> getBeanConfigurationProperties​(BeanConfig beanConfig)